{% extends 'post/base.html' %}
{% block body %}
  <body class="text-white bg-dark">
  {% include 'post/navbar.html' %} 
  <div id="main">
  {% block main %}{% endblock %}
  </div>
  {% include 'post/logo_animation.html' %} 
  {% load static %}
  <script type="text/javascript">

    var pk_current = null;
    var pk_latest = null;

    function data2html (data) {
        $('#ptext').html(data.text.replaceAll("\r\n", "<br \>"));
        $('#pauthor').html(data.author+', ');
        $('#pdate').html(data.pub_date);
        pk_current = data.pk;
        if ( pk_latest == null || pk_current > pk_latest ) {
            pk_latest = pk_current;
        }
    };

    function request2html () {
        let data = {};
        if ( pk_current != null ) {
            data = {'pk_current': pk_current, 'pk_latest': pk_latest};
        }
        $.getJSON("{% url 'json_onebyone' %}", data, data2html);
    };

    function my_log () {
        console.log('hello here!');
    };

    var tl2 = new TimelineLite({
        repeat: -1, repeatDelay: 4
    });

    tl2.to("#post", 1, {}).call(request2html);
   
  </script>

{% endblock body %}
